For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
HomeGuidesAPI ReferenceChangelog
HomeGuidesAPI ReferenceChangelog
  • Quotes API
  • Products API
      • GETQuote configuration
      • GETQuote countries
      • GETQuote panels
  • Policies API
  • Card Token API
  • Users API
LogoLogo
Products APIQuote

Quote countries

GET
https://api-staging.nibtravelinsurance.com/products/v1/:brandCode/quoteCountriesConfig
GET
/products/v1/:brandCode/quoteCountriesConfig
$curl https://api-staging.nibtravelinsurance.com/products/v1/nibau/quoteCountriesConfig \
> -H "Authorization: Bearer <token>"
200World Nomads (abbreviated)
1{
2 "expirySeconds": 86400,
3 "homeCountries": [
4 {
5 "code": "AUS",
6 "countryId": 16,
7 "name": "Australia",
8 "timeZone": "Australia/Sydney",
9 "cultureCodes": [
10 "en-AU"
11 ],
12 "provinces": [
13 {
14 "code": "ACT",
15 "provinceId": 1,
16 "name": "Australian Capital Territory",
17 "countryCode": "AUS"
18 },
19 {
20 "code": "NSW",
21 "provinceId": 2,
22 "name": "New South Wales",
23 "countryCode": "AUS"
24 },
25 {
26 "code": "NT",
27 "provinceId": 8,
28 "name": "Northern Territory",
29 "countryCode": "AUS"
30 },
31 {
32 "code": "QLD",
33 "provinceId": 4,
34 "name": "Queensland",
35 "countryCode": "AUS"
36 },
37 {
38 "code": "SA",
39 "provinceId": 5,
40 "name": "South Australia",
41 "countryCode": "AUS"
42 },
43 {
44 "code": "TAS",
45 "provinceId": 7,
46 "name": "Tasmania",
47 "countryCode": "AUS"
48 },
49 {
50 "code": "VIC",
51 "provinceId": 3,
52 "name": "Victoria",
53 "countryCode": "AUS"
54 },
55 {
56 "code": "WA",
57 "provinceId": 6,
58 "name": "Western Australia",
59 "countryCode": "AUS"
60 }
61 ],
62 "addressConfig": {
63 "countryCode": "AUS",
64 "isAddressLine2Optional": true,
65 "isAddressLine3Optional": false,
66 "isAddressLine4Used": false,
67 "isAddressLine4Optional": false,
68 "isProvinceUsed": true,
69 "isProvinceOptional": false,
70 "isPostalCodeOptional": false,
71 "postalCodeRegex": "^\\d{4,4}$"
72 }
73 }
74 ],
75 "destinationCountries": [
76 {
77 "code": "FRA",
78 "name": "France",
79 "sentenceName": "France",
80 "isTravelActivity": false,
81 "effectiveToDate": "1970-01-01T00:00:00Z",
82 "effectiveFromDate": "1970-01-01T00:00:00Z",
83 "aliases": [
84 "France",
85 "Bordeaux",
86 "Isle of Pines",
87 "Lifou",
88 "Loyalty Islands",
89 "Lyon",
90 "Marseille",
91 "Nice",
92 "Paris",
93 "Strasbourg"
94 ]
95 }
96 ]
97}
Retrieves detailed country information for the quote process
Was this page helpful?
Previous

Quote panels

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

brandCodeenumRequired
Brand code
Allowed values:

Query parameters

langstringOptional
A language code
quoteTypeenumOptionalDefaults to SINGLETRIP

The type of travel to quote for (see /quotePanelTypes)

Allowed values:

Response

Success
expirySecondsinteger
homeCountrieslist of objects
List of home countries you can purchase a policy from.
destinationCountrieslist of objects
Available list of destination countries and regions to travel to.